Import Export
The Import Export APIs are used to “import and export” Kibo’s resources efficiently in CSV file format. For Importing, files are first zipped and uploaded via the Files API. Then an import job can be created, referencing the uploaded files using the Import API. For Exporting, create an export job via the Export API, specifying the resource to be exported. Then after completion, the csv extracts can be downloaded via the File API. For detailed usage, file format specifications, and field references, see the Import/Export API Overview.API Endpoints
Import
| Endpoint | Description |
|---|---|
| Create Import Job | POST /platform/data/import — Creates a new import job |
| Get Import Jobs | GET /platform/data/import — Retrieves a list of all import jobs |
| Get Import Job | GET /platform/data/import/{id} — Retrieves an import job by ID |
| Delete Import Job | DELETE /platform/data/import/{id} — Deletes an existing import job |
Export
| Endpoint | Description |
|---|---|
| Create Export Job | POST /platform/data/export — Creates a new export job |
| Get Export Jobs | GET /platform/data/export — Retrieves a list of all export jobs |
| Get Export Job | GET /platform/data/export/{id} — Retrieves an export job by ID |
| Delete Export Job | DELETE /platform/data/export/{id} — Deletes an existing export job |
See Also
- Import/Export API Overview — Detailed usage guide, file format specifications, and field references

